Package org.apache.calcite.avatica.remote

## Enum Driver.Serialization

- java.lang.Object
- - java.lang.Enum<Driver.Serialization>
  - - org.apache.calcite.avatica.remote.Driver.Serialization

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Driver.Serialization>`

Enclosing class:
  Driver

    public static enum Driver.Serialization
    extends java.lang.Enum<Driver.Serialization>

Defines the method of message serialization used by the Driver

### Enum Constant Summary

Enum Constants
`JSON`
`PROTOBUF`

### Constructor Summary

Constructors
`private` `Serialization()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Driver.Serialization` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Driver.Serialization[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JSON

    public static final Driver.Serialization JSON

#### PROTOBUF

    public static final Driver.Serialization PROTOBUF

### Constructor Detail

#### Serialization

    private Serialization()

### Method Detail

#### values

    public static Driver.Serialization[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Driver.Serialization c : Driver.Serialization.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Driver.Serialization valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null